Categories:
  - Internet
  - Science & Education
License: GPL-3.0-only
WebSite: https://github.com/zeapo/Android-Password-Store/wiki
SourceCode: https://github.com/zeapo/Android-Password-Store
IssueTracker: https://github.com/zeapo/Android-Password-Store/issues
Changelog: https://github.com/zeapo/Android-Password-Store/releases
Bitcoin: 1H1Z1NPTrR5Cej9bKV3Hu4f5WJZYtkbpox

AutoName: Password Store
Description: |-
    Simple password manager that is compatible with [http://www.passwordstore.org/
    pass]: Passwords are stored in simple text files which are encrypted with
    OpenPGP.

    Requires [[org.sufficientlysecure.keychain]] to encrypt and decrypt passwords.

    '''Features:'''

    * Clone an existing pass repository
    * Initialize a new pass repository
    * List the passwords
    * Handle the directories as categories
    * Decrypt the password files (first line is the password, the rest is extra data)
    * Add a new password to the current category (or no category if added at the root)
    * Pull and Push changes to the remote repository
    * Ability to change remote repository info

RepoType: git
Repo: https://github.com/zeapo/Android-Password-Store

Builds:
  - versionName: 1.1-b3
    versionCode: 8
    commit: a44a38783c5e6aa7d99d18d620231998cd1c5e53
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild:
      - cp -fR $$Swipelist$$/swipelistview/src/main ../libraries/swipelistview
      - pushd ../libraries/swipelistview/
      - mv java src
      - mkdir libs
      - android update lib-project -p . --target "android-19"
      - echo "android.library=true" >> project.properties
      - cp ../openpgp-api-lib/build.gradle ./
      - echo -e 'repositories {\nmavenCentral()\n}\n\ndependencies {\ncompile "com.nineoldandroids:library:2.4.0+"\ncompile
        "com.android.support:appcompat-v7:19.0.+"\n}' >> build.gradle
      - popd
      - echo "include ':libraries:swipelistview'" >> ../settings.gradle
      - sed -i -e '30,32d' build.gradle
      - sed -i -e "/libraries:openpgp-api-lib/acompile project\(':libraries:swipelistview'\)"
        build.gradle
      - sed -i -e '/clinker/d' -e '/repositories/amavenCentral\(\)' build.gradle

  - versionName: 1.1-b4
    versionCode: 9
    commit: 62877a53db54ab94c2112b9d1c97a8860b686945
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - Swipelist@de441bf662770acf64df9051727aa5dcd159a16d
    prebuild:
      - cp -fR $$Swipelist$$/swipelistview/src/main ../libraries/swipelistview
      - pushd ../libraries/swipelistview/
      - mv java src
      - mkdir libs
      - android update lib-project -p . --target "android-19"
      - echo "android.library=true" >> project.properties
      - cp ../openpgp-api-lib/build.gradle ./
      - echo -e 'repositories {\nmavenCentral()\n}\n\ndependencies {\ncompile "com.nineoldandroids:library:2.4.0+"\ncompile
        "com.android.support:appcompat-v7:19.0.+"\n}' >> build.gradle
      - popd
      - echo "include ':libraries:swipelistview'" >> ../settings.gradle
      - sed -i -e '30,32d' build.gradle
      - sed -i -e "/libraries:openpgp-api-lib/acompile project\(':libraries:swipelistview'\)"
        build.gradle
      - sed -i -e '/clinker/d' -e '/repositories/amavenCentral\(\)' build.gradle
      - sed -i -e '518d' src/main/java/com/zeapo/pwdstore/crypto/PgpHandler.java

  - versionName: 1.1-b5
    versionCode: 11
    commit: 6c55f1ed2bf263f9ab8fac1de6877937b69d6992
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - Swipelist@de441bf662770acf64df9051727aa5dcd159a16d
    prebuild:
      - cp -fR $$Swipelist$$/swipelistview/src/main ../libraries/swipelistview
      - pushd ../libraries/swipelistview/
      - mv java src
      - mkdir libs
      - android update lib-project -p . --target "android-19"
      - echo "android.library=true" >> project.properties
      - cp ../openpgp-api-lib/build.gradle ./
      - echo -e 'repositories {\nmavenCentral()\n}\n\ndependencies {\ncompile "com.nineoldandroids:library:2.4.0+"\ncompile
        "com.android.support:appcompat-v7:19.0.+"\n}' >> build.gradle
      - popd
      - echo "include ':libraries:swipelistview'" >> ../settings.gradle
      - sed -i -e '30,32d' build.gradle
      - sed -i -e "/libraries:openpgp-api-lib/acompile project\(':libraries:swipelistview'\)"
        build.gradle
      - sed -i -e '/clinker/d' -e '/repositories/amavenCentral\(\)' build.gradle
      - sed -i -e '518d' src/main/java/com/zeapo/pwdstore/crypto/PgpHandler.java

  - versionName: 1.1-b6
    versionCode: 13
    commit: 2f757f515903eb5cf46b7ebc490e906686bac6c4
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - Swipelist@de441bf662770acf64df9051727aa5dcd159a16d
    prebuild:
      - cp -fR $$Swipelist$$/swipelistview/src/main ../libraries/swipelistview
      - pushd ../libraries/swipelistview/
      - mv java src
      - mkdir libs
      - android update lib-project -p . --target "android-19"
      - echo "android.library=true" >> project.properties
      - cp ../openpgp-api-lib/build.gradle ./
      - echo -e 'repositories {\nmavenCentral()\n}\n\ndependencies {\ncompile "com.nineoldandroids:library:2.4.0+"\ncompile
        "com.android.support:appcompat-v7:19.0.+"\n}' >> build.gradle
      - popd
      - echo "include ':libraries:swipelistview'" >> ../settings.gradle
      - sed -i -e '30,32d' build.gradle
      - sed -i -e "/libraries:openpgp-api-lib/acompile project\(':libraries:swipelistview'\)"
        build.gradle
      - sed -i -e '/clinker/d' -e '/repositories/amavenCentral\(\)' build.gradle

  - versionName: 1.1-b7
    versionCode: 14
    commit: 499480f80b26668f1a8c3786ff9cb33bc4c1c55b
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - Swipelist@de441bf662770acf64df9051727aa5dcd159a16d
    prebuild:
      - cp -fR $$Swipelist$$/swipelistview/src/main ../libraries/swipelistview
      - pushd ../libraries/swipelistview/
      - mv java src
      - mkdir libs
      - android update lib-project -p . --target "android-19"
      - echo "android.library=true" >> project.properties
      - cp ../openpgp-api-lib/build.gradle ./
      - echo -e 'repositories {\nmavenCentral()\n}\n\ndependencies {\ncompile "com.nineoldandroids:library:2.4.0+"\ncompile
        "com.android.support:appcompat-v7:19.0.+"\n}' >> build.gradle
      - popd
      - echo "include ':libraries:swipelistview'" >> ../settings.gradle
      - sed -i -e '/com.fortysevendeg.swipelistview:swipelistview:1.0-SNAPSHOT@aar/,+2d'
        build.gradle
      - sed -i -e "/libraries:openpgp-api-lib/acompile project\(':libraries:swipelistview'\)"
        build.gradle
      - sed -i -e '/clinker/d' -e '/repositories/amavenCentral\(\)' build.gradle

  - versionName: 1.1-b8
    versionCode: 15
    commit: v1.1-b8
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - Swipelist@de441bf662770acf64df9051727aa5dcd159a16d
    prebuild:
      - cp -fR $$Swipelist$$/swipelistview/src/main ../libraries/swipelistview
      - pushd ../libraries/swipelistview/
      - mv java src
      - mkdir libs
      - android update lib-project -p . --target "android-19"
      - echo "android.library=true" >> project.properties
      - cp ../openpgp-api-lib/build.gradle ./
      - echo -e 'repositories {\nmavenCentral()\n}\n\ndependencies {\ncompile "com.nineoldandroids:library:2.4.0+"\ncompile
        "com.android.support:appcompat-v7:19.0.+"\n}' >> build.gradle
      - popd
      - echo "include ':libraries:swipelistview'" >> ../settings.gradle
      - sed -i -e '/com.fortysevendeg.swipelistview:swipelistview:1.0-SNAPSHOT@aar/,+2d'
        build.gradle
      - sed -i -e "/libraries:openpgp-api-lib/acompile project\(':libraries:swipelistview'\)"
        build.gradle
      - sed -i -e '/clinker/d' -e '/repositories/amavenCentral\(\)' build.gradle

  - versionName: 1.2-a1
    versionCode: 20
    commit: v1.2-a1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2-a2
    versionCode: 21
    commit: v1.2-a2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2-a3
    versionCode: 22
    commit: v1.2-a3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2-a4
    versionCode: 23
    commit: v1.2-a4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2-a5
    versionCode: 24
    commit: v1.2-a5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2-a6
    versionCode: 25
    commit: v1.2-a6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.7
    versionCode: 26
    commit: v1.2.0.7
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.8
    versionCode: 27
    commit: v1.2.0.8
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.9
    versionCode: 29
    commit: v1.2.0.9
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.10
    versionCode: 30
    commit: v1.2.0.10
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.12
    versionCode: 32
    commit: v1.2.0.12
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.13
    versionCode: 33
    commit: v1.2.0.13
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.14
    versionCode: 34
    commit: v1.2.0.14
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.15
    versionCode: 35
    commit: v1.2.0.15
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.16
    versionCode: 36
    commit: v1.2.0.16
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.17
    versionCode: 37
    commit: v1.2.0.17
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.18
    versionCode: 38
    disable: java7/java8 issue
    commit: v1.2.0.18
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.19 (experimental)
    versionCode: 39
    disable: experimental
    commit: v1.2.0.19 (experimental)
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.20
    versionCode: 40
    disable: java8
    commit: v1.2.0.20
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.21
    versionCode: 41
    commit: v1.2.0.21
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.22
    versionCode: 42
    commit: v1.2.0.22
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.23
    versionCode: 43
    commit: v1.2.0.23
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.24
    versionCode: 44
    commit: v1.2.0.24
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.26
    versionCode: 46
    commit: v1.2.0.26
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.27
    versionCode: 47
    commit: v1.2.0.27
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.28
    versionCode: 48
    commit: v1.2.0.28
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.29
    versionCode: 49
    commit: v1.2.0.29
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.31
    versionCode: 51
    commit: v1.2.0.31
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.32
    versionCode: 52
    commit: v1.2.0.32
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.33
    versionCode: 53
    commit: v1.2.0.33
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.34
    versionCode: 54
    commit: v1.2.0.34
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.35
    versionCode: 55
    commit: v1.2.0.35
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.36
    versionCode: 56
    disable: third party maven repo
    commit: v1.2.0.36
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/sourceSets/icompileOptions {\nsourceCompatibility = JavaVersion.VERSION_1_7\ntargetCompatibility
        = JavaVersion.VERSION_1_7\n}\n' build.gradle

  - versionName: 1.2.0.37
    versionCode: 57
    disable: third party maven repo
    commit: v1.2.0.37
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.38
    versionCode: 58
    commit: v1.2.0.38
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.39
    versionCode: 59
    commit: v1.2.0.39
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.40
    versionCode: 60
    commit: v1.2.0.40
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.41
    versionCode: 61
    commit: v1.2.0.41
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.42
    versionCode: 62
    commit: v1.2.0.42
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.43
    versionCode: 63
    commit: v1.2.0.43
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.44
    versionCode: 64
    commit: v1.2.0.44
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.45
    versionCode: 65
    commit: v1.2.0.45
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.47
    versionCode: 67
    commit: v1.2.0.47
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.48
    versionCode: 68
    commit: v1.2.0.48
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.49
    versionCode: 69
    commit: v1.2.0.49
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.50
    versionCode: 70
    commit: v1.2.0.50
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.51
    versionCode: 71
    commit: v1.2.0.51
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.52
    versionCode: 72
    commit: v1.2.0.52
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.54
    versionCode: 74
    commit: v1.2.0.54
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.55
    versionCode: 75
    commit: v1.2.0.55
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.56
    versionCode: 76
    commit: v1.2.0.56
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.57
    versionCode: 77
    commit: v1.2.0.57
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0.58
    versionCode: 78
    commit: v1.2.0.58
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/classpath/s/2.3.2/2.3.1/' build.gradle

  - versionName: 1.2.0.59
    versionCode: 79
    commit: v1.2.0.59
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/classpath/s/2.3.2/2.3.1/' build.gradle

  - versionName: 1.2.0.60
    versionCode: 80
    commit: v1.2.0.60
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/classpath/s/2.3.2/2.3.1/' build.gradle

  - versionName: 1.2.0.61
    versionCode: 81
    commit: v1.2.0.61
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/classpath/s/2.3.2/2.3.1/' build.gradle

  - versionName: 1.2.0.62-alpha
    versionCode: 82
    commit: v1.2.0.62-alpha
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/classpath/s/2.3.2/2.3.1/' build.gradle

  - versionName: 1.2.0.63
    versionCode: 83
    commit: v1.2.0.63
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/classpath/s/2.3.2/2.3.1/' build.gradle

  - versionName: 1.2.0.64
    versionCode: 84
    commit: v1.2.0.64
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/classpath/s/2.3.2/2.3.1/' build.gradle

  - versionName: 1.2.0.66
    versionCode: 86
    commit: v1.2.0.66
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/classpath/s/2.3.2/2.3.1/' build.gradle

  - versionName: 1.2.0.67
    versionCode: 87
    commit: v1.2.0.67
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/classpath/s/2.3.2/2.3.1/' build.gradle

  - versionName: 1.2.0.68
    versionCode: 88
    commit: v1.2.0.68
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/classpath/s/2.3.2/2.3.1/' build.gradle

  - versionName: 1.2.0.69
    versionCode: 89
    commit: v1.2.0.69
    subdir: app
    submodules: true
    gradle:
      - yes
    scanignore:
      - app/src/androidTest/assets/private_key

  - versionName: 1.2.0.73
    versionCode: 93
    commit: v1.2.0.73
    subdir: app
    submodules: true
    gradle:
      - yes
    scanignore:
      - app/src/androidTest/assets/private_key

  - versionName: 1.2.0.74
    versionCode: 94
    commit: v1.2.0.74
    subdir: app
    submodules: true
    gradle:
      - yes
    scanignore:
      - app/src/androidTest/assets/private_key

  - versionName: 1.2.0.75
    versionCode: 95
    commit: v1.2.0.75
    subdir: app
    submodules: true
    gradle:
      - yes
    scanignore:
      - app/src/androidTest/assets/private_key

  - versionName: 1.3.0
    versionCode: 10300
    commit: v1.3.0
    subdir: app
    submodules: true
    gradle:
      - yes
    scanignore:
      - app/src/androidTest/assets/private_key

  - versionName: 1.3.1
    versionCode: 10301
    commit: v1.3.1
    subdir: app
    submodules: true
    gradle:
      - yes
    scanignore:
      - app/src/androidTest/assets/private_key

  - versionName: 1.3.2
    versionCode: 10302
    commit: v1.3.2
    subdir: app
    submodules: true
    gradle:
      - yes
    scanignore:
      - app/src/androidTest/assets/private_key

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags .*[0-9]$
CurrentVersion: 1.3.2
CurrentVersionCode: 10302
